RichTextToolbar (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.client.uicomponents.richtext
Class RichTextToolbar

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.gcube.portlets.d4sreporting.common.client.uicomponents.richtext.RichTextToolbar

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

    public class RichTextToolbar

extends com.google.gwt.user.client.ui.Composite

A sample toolbar for use with `RichTextArea`. It provides a simple UI for all rich text formatting, dynamically displayed only for the available functionality.

Nested Class Summary
`static interface` | `RichTextToolbar.Strings` This `Constants` interface is used to make the toolbar's strings internationalizable.

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`RichTextToolbar(com.google.gwt.user.client.ui.RichTextArea richText)` Creates a new toolbar that drives the given rich text area.
`RichTextToolbar(com.google.gwt.user.client.ui.RichTextArea richText, boolean useOnePanel, HashMap<String,com.google.gwt.user.client.Command> commands)` Creates a new toolbar that drives the given rich text area.

Method Summary
`void` | `enableCommands(boolean enable)`
`com.google.gwt.user.client.ui.RichTextArea.ExtendedFormatter` | `getExtendedFormatter()`
`com.google.gwt.user.client.ui.RichTextArea` | `getRichTextArea()`
`void` | `setEnabled(boolean enable)` set the buttons enable or not

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RichTextToolbar

    public RichTextToolbar(com.google.gwt.user.client.ui.RichTextArea richText)

  Creates a new toolbar that drives the given rich text area.

  Parameters:
    `richText` - the rich text area to be controlled

### RichTextToolbar

    public RichTextToolbar(com.google.gwt.user.client.ui.RichTextArea richText,
                           boolean useOnePanel,
                           HashMap<String,com.google.gwt.user.client.Command> commands)

  Creates a new toolbar that drives the given rich text area.

  Parameters:
    `richText` - the rich text area to be controlled
    `useOnePanel` - if true display all the bottons on one panel
    `commands` - the Commands to call

Method Detail

### setEnabled

    public void setEnabled(boolean enable)

  set the buttons enable or not

  Parameters:
    `enable` - true to enable the widget, false to disable it

### enableCommands

    public void enableCommands(boolean enable)

### getExtendedFormatter

    public com.google.gwt.user.client.ui.RichTextArea.ExtendedFormatter getExtendedFormatter()

  Returns:
    the formatter

### getRichTextArea

    public com.google.gwt.user.client.ui.RichTextArea getRichTextArea()

  Returns:
    the current textArea

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.